For the complete documentation index, see llms.txt. This page is also available as Markdown.

Send a push notification to a device.

Required permissions: Send Notification

post
Path parameters
appIDstring · uuidRequired
Query parameters
apiTokenstringRequired

API authentication token

Body
deviceTokenstringOptional
referenceIDstringOptional
templateIDstringOptional
contentstringOptional
titlestringOptional
expiryinteger · int32Optional
contentAvailablestringOptional
soundstringOptional
actionButtonTextstringOptional
launchImagestringOptional
collapseKeystringOptional
prioritystringOptional
clickActionstringOptional
colorstringOptional
iconstringOptional
overwriteCustomDatabooleanOptional
Responses
200

OK

application/json
messageIDsstring[]Optional
post/push/apps/{appID}/sendpush
POST /push/apps/{appID}/sendpush?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 377

{
  "deviceToken": "text",
  "referenceID": "text",
  "templateID": "text",
  "content": "text",
  "title": "text",
  "expiry": 1,
  "contentAvailable": "text",
  "sound": "text",
  "actionButtonText": "text",
  "launchImage": "text",
  "collapseKey": "text",
  "priority": "text",
  "clickAction": "text",
  "color": "text",
  "icon": "text",
  "customData": [
    {
      "key": "text",
      "value": "text",
      "deviceTypes": [
        "iOS"
      ]
    }
  ],
  "overwriteCustomData": true
}
{
  "messageIDs": [
    "text"
  ]
}

Last updated

Was this helpful?